For the complete documentation index, see llms.txt. This page is also available as Markdown.

Get a list of all email sent to a contact.

Required permissions: View Contacts and transactions

get
Path parameters
referenceIDstring · uuidRequired
Query parameters
sincestring · date-timeOptional
apiTokenstringRequired

API authentication token

Responses
200

OK

application/json
dateSentstring · date-timeOptional
dateReadstring · date-timeOptional
readbooleanOptional
applicationIDstringOptional
messageIDstringOptional
messageTypestringOptional
communicationSourcestringOptional
subjectstringOptional
get/database/contacts/{referenceID}/history/messages
GET /database/contacts/{referenceID}/history/messages?apiToken=text HTTP/1.1
Host: api.ubiquity.co.nz
Accept: */*
[
  {
    "dateSent": "2026-01-01T00:00:00.000Z",
    "dateRead": "2026-01-01T00:00:00.000Z",
    "read": true,
    "applicationID": "text",
    "messageID": "text",
    "messageType": "text",
    "communicationSource": "text",
    "subject": "text"
  }
]

Last updated

Was this helpful?